# 唇形同步生成器

一个基于Electron的桌面应用程序，用于生成唇形同步效果。该应用程序允许用户上传字幕和音频文件，然后生成与语音同步的唇形动画。

## 功能特点

- 支持SRT和VTT格式的字幕文件
- 支持音频文件上传和处理
- 自动切割音频文件以匹配字幕时间
- 使用AI生成描述词
- 生成唇形同步动画
- 导出和分享功能

## 开发环境设置

### 前提条件

- Node.js (v14.0.0+)
- npm (v6.0.0+)

### 安装

1. 克隆仓库
   ```
   git clone http://code.qutaovip.com/lihai/lip_sync.git
   cd lip_sync
   ```

2. 安装依赖
   ```
   npm install
   ```

3. 启动开发服务器
   ```
   npm start
   ```

### 构建应用

```
npm run build
```

## 项目结构

- `/src` - 源代码
  - `/components` - React组件
  - `/pages` - 页面组件
  - `/utils` - 工具函数
  - `/nodeapi` - Node.js API
  - `/db` - 数据库相关代码

## 许可证

Copyright (c) 2023

此项目仅供学习和研究使用。未经许可，禁止商业用途。 